%define module_name Taskwarrior-Kusarigama
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Clone.pm) perl(DateTime/Functions.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(Git/Repository.pm) perl(Graph/Directed.pm) perl(Hash/Diff.pm) perl(Hash/Merge.pm) perl(IO/Handle.pm) perl(IO/Prompt/Simple.pm) perl(IPC/Open3.pm) perl(IPC/Run3.pm) perl(JSON.pm) perl(List/AllUtils.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(List/UtilsBy.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooseX/App.pm) perl(MooseX/App/Command.pm) perl(MooseX/MungeHas.pm) perl(Net/GitHub.pm) perl(Path/Tiny.pm) perl(PerlX/Maybe.pm) perl(Prompt/ReadKey.pm) perl(Set/Object.pm) perl(Symbol.pm) perl(Template/Mustache.pm) perl(Term/ANSIScreen.pm) perl(Test/Deep.pm) perl(Test/MockObject.pm) perl(Test/MockObject/Extends.pm) perl(Test/More.pm) perl(Try/Tiny.pm)
BuildRequires: perl(experimental.pm) perl(namespace/clean.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12.0
Release: alt1
Summary: plugin system for the Taskwarrior task manager
Group: Development/Perl
License: perl
URL: https://github.com/yanick/Taskwarrior-Kusarigama

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a plugin-based way to run hooks and custom
commands for the 
cli-based task manager Taskwarrior.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO LICENSE CONTRIBUTORS AUTHOR_PLEDGE README.mkdn Changes CODE_OF_CONDUCT.md
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed May 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1
- updated by package builder

* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.11.0-alt1
- regenerated from template by package builder

* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1
- regenerated from template by package builder

* Mon Oct 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt1
- regenerated from template by package builder

* Mon Jul 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1
- regenerated from template by package builder

* Wed Jun 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1
- regenerated from template by package builder

* Sat Nov 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1
- regenerated from template by package builder

* Tue Mar 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1
- regenerated from template by package builder

* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1
- regenerated from template by package builder

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1
- initial import by package builder

